Loading...
Searching...
No Matches
coap_sha1_internal.h File Reference

Provides SHA1 support for WebSockets. More...

`#include <stdint.h>`
Include dependency graph for coap_sha1_internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SHA1Context

## Macros

#define | _SHA_enum_
#define | SHA1HashSize 20

## Typedefs

typedef struct SHA1Context | SHA1Context

## Enumerations

enum | { shaSuccess = 0 , shaNull , shaInputTooLong , shaStateError }

## Functions

int | SHA1Reset (SHA1Context *)
int | SHA1Input (SHA1Context *, const uint8_t *, unsigned int)
int | SHA1Result (SHA1Context *, uint8_t Message_Digest[SHA1HashSize])

## Detailed Description

Provides SHA1 support for WebSockets.

Definition in file coap_sha1_internal.h.

## Macro Definition Documentation

## _SHA_enum_

#define _SHA_enum_

Definition at line 72 of file coap_sha1_internal.h.

## SHA1HashSize

#define SHA1HashSize 20

Definition at line 80 of file coap_sha1_internal.h.

## Typedef Documentation

## SHA1Context

typedef struct SHA1Context SHA1Context

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
shaSuccess |
shaNull |
shaInputTooLong |
shaStateError |

Definition at line 73 of file coap_sha1_internal.h.

## Function Documentation

## SHA1Input()

int SHA1Input | ( | SHA1Context * | ,
|  | const uint8_t * | ,
|  | unsigned int | )

## SHA1Reset()

int SHA1Reset | ( | SHA1Context * |  | ) |

## SHA1Result()

int SHA1Result | ( | SHA1Context * | ,
|  | uint8_t | Message_Digest[SHA1HashSize] )